CREATE TABLE IBDB.ARBITRE_PARTIT
( ID_ARBITRE NUMBER(10,0) NOT NULL ENABLE, 
  ID_PARTIT NUMBER(10,0) NOT NULL ENABLE,
  CARREG_ARBITRE VARCHAR2(9) NOT NULL ENABLE, 
  CONSTRAINT CHK_AP_ARBITRE_CARREG CHECK (CARREG_ARBITRE IN ('PRINCIPAL', 'AUXILIAR')) ENABLE, 
  CONSTRAINT PK_AP_ARBITRE_PARTIT PRIMARY KEY (ID_ARBITRE, ID_PARTIT) ENABLE,
  CONSTRAINT FK_AP_ARBITRE FOREIGN KEY (ID_ARBITRE) REFERENCES IBDB.ARBITRE (ID) ON DELETE CASCADE ENABLE,
  CONSTRAINT FK_AP_PARTIT FOREIGN KEY (ID_PARTIT) REFERENCES IBDB.PARTIT (ID) ON DELETE CASCADE ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.ARBITRE_PARTIT.ID_ARBITRE IS 'Identificador nic de l''arbitre';
COMMENT ON COLUMN IBDB.ARBITRE_PARTIT.ID_PARTIT IS 'Identificador nica del partit';
COMMENT ON COLUMN IBDB.ARBITRE_PARTIT.CARREG_ARBITRE IS 'Carreg que te aquest arbitre en aquest partit.';
COMMENT ON TABLE IBDB.ARBITRE_PARTIT  IS 'Taula que dona la relaci entre arbitres i partits';
