CREATE TABLE IBDB.AUDITORIA
( ID NUMBER(10,0) NOT NULL ENABLE, 
  CREAT_PER VARCHAR2(32) NOT NULL ENABLE,
  CREAT_EN DATE DEFAULT SYSDATE NOT NULL ENABLE,
  NOM_OBJECTE VARCHAR2(31) NOT NULL ENABLE, 
  ACCIO VARCHAR2(4000) NOT NULL ENABLE, 
  CONSTRAINT PK_AUDITORIA PRIMARY KEY (ID) ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.AUDITORIA.ID IS 'Identificador nica del registre';
COMMENT ON COLUMN IBDB.AUDITORIA.CREAT_PER IS 'Cont el USERID de qui ha realitzat la operaci';
COMMENT ON COLUMN IBDB.AUDITORIA.CREAT_EN IS 'Cont la data de quan s''ha realitzat la acci';
COMMENT ON COLUMN IBDB.AUDITORIA.NOM_OBJECTE IS 'Nom del objecte que s''ha utilitzat ';
COMMENT ON COLUMN IBDB.AUDITORIA.ACCIO IS 'Acci o Error que s''ha produit.';
COMMENT ON TABLE IBDB.AUDITORIA  IS 'Taula que audita les transaccions que es realitzen en la base de dades de IBDB.';
