CREATE TABLE IBDB.EQUIP_TECNIC
( ID_EQUIP NUMBER(10,0) NOT NULL ENABLE, 
  ID_TECNIC NUMBER(10,0) NOT NULL ENABLE,
  CONSTRAINT PK_EQUIP_TECNIC PRIMARY KEY (ID_EQUIP, ID_TECNIC) ENABLE,
  CONSTRAINT FK_EQUIP_TECNIC_EQUIP FOREIGN KEY (ID_EQUIP) REFERENCES IBDB.EQUIP (ID) ON DELETE SET NULL ENABLE,
  CONSTRAINT FK_EQUIP_TECNIC_TECNIC FOREIGN KEY (ID_TECNIC) REFERENCES IBDB.TECNIC (ID) ON DELETE SET NULL ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.EQUIP_TECNIC.ID_EQUIP IS 'Identificador nic del equip';
COMMENT ON COLUMN IBDB.EQUIP_TECNIC.ID_TECNIC IS 'Identificador nic del tcnic';
COMMENT ON TABLE IBDB.EQUIP_TECNIC  IS 'Taula que guarda tot el personal del personal tcnic d''un equip.';
