CREATE TABLE IBDB.MUNICIPI
( ID NUMBER(10,0) NOT NULL ENABLE, 
  NOM VARCHAR2(50) NOT NULL ENABLE,
  PAIS_ID NUMBER(5,0) NOT NULL ENABLE, 
  CONSTRAINT PK_MUNICIPI PRIMARY KEY (ID) ENABLE,
  CONSTRAINT FK_MUNICIPI_PAIS FOREIGN KEY (PAIS_ID) REFERENCES IBDB.PAIS (ID) ON DELETE CASCADE ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.MUNICIPI.ID IS 'Identificador nic del municipi';
COMMENT ON COLUMN IBDB.MUNICIPI.NOM IS 'Nom del municipi';
COMMENT ON COLUMN IBDB.MUNICIPI.PAIS_ID IS 'Identificador nic del pais que pertany aquest municipi.';
COMMENT ON TABLE IBDB.MUNICIPI  IS 'Llistat de municipis';

GRANT SELECT ON IBDB.MUNICIPI TO IBDWH;
