PL/SQL Developer Test script 3.0
49
DECLARE
  vEP IBDB.estadistica_partit%ROWTYPE;
  vMaxJugador INTEGER;
  vMaxPartit INTEGER;
  v_Return NUMBER;
BEGIN
  
  SELECT MAX(ID) into vMaxPartit FROM IBDB.PARTIT;
  
  FOR i IN (SELECT * FROM IBDB.PARTIT WHERE id = trunc(SYS.dbms_random.value(low => 0, high => vMaxPartit))) LOOP
  
    FOR j IN (  SELECT /*+ materialize*/ 
                        JUGADOR_ID, 
                        EQUIP_ID
                 FROM ( SELECT RANK() OVER (PARTITION BY C.JUGADOR_ID 
                                                ORDER BY C.DATA_SIGNATURA) RNK, 
                               C.JUGADOR_ID, 
                               C.EQUIP_COMPRADOR_ID EQUIP_ID
                          FROM IBDB.CONTRACTE C
                         WHERE C.EQUIP_COMPRADOR_ID = i.equip_local_id 
                            OR C.EQUIP_COMPRADOR_ID = i.equip_visitant_id ) JUG_BY_EQUIP
                 WHERE JUG_BY_EQUIP.RNK = 1 and rownum < 2) LOOP
                 
      vEP.ID_JUGADOR                  := J.JUGADOR_ID;
      vEP.ID_PARTIT                   := I.ID;
      vEP.MINUTS_JUGATS               := trunc(SYS.dbms_random.value(low => 0, high => 60));
      vEP.TIRS_LLIURES_INTENTATS      := trunc(SYS.dbms_random.value(low => 0, high => 25));
      vEP.TIRS_LLIURES_ENCISTELLATS   := -10; --vEP.TIRS_LLIURES_INTENTATS * (trunc(SYS.dbms_random.value(low => 0, high => 100))/100);
      vEP.DOS_PUNTS_INTENTATS         := trunc(SYS.dbms_random.value(low => 0, high => 100));
      vEP.DOS_PUNTS_ENCISTELLATS      := -20; --vEP.DOS_PUNTS_INTENTATS * (trunc(SYS.dbms_random.value(low => 0, high => 100))/100);
      vEP.TRES_PUNTS_INTENTATS        := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.TRES_PUNTS_ENCISTELLATS     := -1; --vEP.TRES_PUNTS_INTENTATS * (trunc(SYS.dbms_random.value(low => 0, high => 100))/100);
      vEP.REBOTS_DEFENSIUS            := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.REBOTS_OFENSIUS             := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.ASSISTENCIES                := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.TAPS_A_FAVOR                := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.TAPS_EN_CONTRA              := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.PILOTES_RECUPERADES         := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.PILOTES_PERDUDES            := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.FALTAS_COMESES              := trunc(SYS.dbms_random.value(low => 0, high => 50));
      vEP.FALTES_REBUDES              := trunc(SYS.dbms_random.value(low => 0, high => 50));


      v_Return := IBDB.PKG_GESTIO.FN_ALTA_ESTAD_PARTIT_JUGADOR(vEP);
    END LOOP;
  END LOOP;   
 
  :v_Return := v_Return;
END;
1
v_Return
1
0
4
0
