CREATE TABLE IBDWH.SOU_MIG_ANUAL_JUGADOR
( SOU_MIG_ANUAL NUMBER(8,0), 
  PAIS_ID NUMBER(5,0),
  NOM_COMPETICIO VARCHAR2(30), 
  TEMPORADA VARCHAR2(9), 
  GENERE VARCHAR2(7),
  MODALITAT VARCHAR2(15)
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.SOU_MIG_ANUAL_JUGADOR.SOU_MIG_ANUAL IS 'Sou mig anual';
COMMENT ON COLUMN IBDWH.SOU_MIG_ANUAL_JUGADOR.PAIS_ID IS 'Identificador nic del Pas';
COMMENT ON COLUMN IBDWH.SOU_MIG_ANUAL_JUGADOR.NOM_COMPETICIO IS 'Nom de la competici';
COMMENT ON COLUMN IBDWH.SOU_MIG_ANUAL_JUGADOR.TEMPORADA IS 'Temporada en format YYYY-YYYY';
COMMENT ON COLUMN IBDWH.SOU_MIG_ANUAL_JUGADOR.GENERE IS 'Si es MASCULI o FEMENI';
COMMENT ON COLUMN IBDWH.SOU_MIG_ANUAL_JUGADOR.MODALITAT IS 'Si es NORMAL o CADIRA DE RODES';

COMMENT ON TABLE IBDWH.SOU_MIG_ANUAL_JUGADOR  IS 'Donat un pas, una temporada, un gnere i una modalitat,el sou mig anual dels jugadors.';
