CREATE TABLE IBDWH.TOP_5_JUGADORS_POSICIO
( NOM VARCHAR2(20) NOT NULL ENABLE, 
  COGNOMS VARCHAR2(40) NOT NULL ENABLE,
  POSICIO VARCHAR2(20) NOT NULL ENABLE, 
  AMBIT VARCHAR2(11) NOT NULL ENABLE, 
  GENERE VARCHAR2(7) NOT NULL ENABLE, 
  MODALITAT VARCHAR2(15) NOT NULL ENABLE,
  TOTAL_VALORACIO_JUGADOR NUMBER
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.TOP_5_JUGADORS_POSICIO.NOM IS 'Nom del Jugador';
COMMENT ON COLUMN IBDWH.TOP_5_JUGADORS_POSICIO.COGNOMS IS 'Cognom del Jugador';
COMMENT ON COLUMN IBDWH.TOP_5_JUGADORS_POSICIO.POSICIO IS 'Posici on juga habitualment';
COMMENT ON COLUMN IBDWH.TOP_5_JUGADORS_POSICIO.AMBIT IS 'Si es NACIONAL o INTERNACIONAL';
COMMENT ON COLUMN IBDWH.TOP_5_JUGADORS_POSICIO.GENERE IS 'Si es MASCULI o FEMENI';
COMMENT ON COLUMN IBDWH.TOP_5_JUGADORS_POSICIO.MODALITAT IS 'Si es NORMAL o CADIRA DE RODES';
COMMENT ON COLUMN IBDWH.TOP_5_JUGADORS_POSICIO.TOTAL_VALORACIO_JUGADOR IS 'Valoraci ponderada del jugador';
COMMENT ON TABLE IBDWH.TOP_5_JUGADORS_POSICIO  IS 'Donats un mbit, un gnere i una modalitat de competici, el llistat dels 5 millors jugadors per posici en funci de la seva valoraci.';
