CREATE TABLE IBDB.CATEGORIA
( ID NUMBER(10,0) NOT NULL ENABLE, 
  NOM VARCHAR2(50) NOT NULL ENABLE,
  FACTOR_PONDERACIO NUMBER(3,2) DEFAULT 1 NOT NULL ENABLE, 
  CONSTRAINT PK_CATEGORIA PRIMARY KEY (ID) ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.CATEGORIA.ID IS 'Identificador nica de una categora';
COMMENT ON COLUMN IBDB.CATEGORIA.NOM IS 'Nom de la categora';
COMMENT ON COLUMN IBDB.CATEGORIA.FACTOR_PONDERACIO IS 'Numero que servir per calcular la valoraci ponderada dels jugadors en les seves estadstiques.';
COMMENT ON TABLE IBDB.CATEGORIA  IS 'Aquesta taula guardar tota la informaci sobre les diferents categories on competeixen els equips.';

GRANT SELECT ON IBDB.CATEGORIA TO IBDWH;
