CREATE TABLE IBDB.DIAGNOSTIC
( ID NUMBER(10,0) NOT NULL ENABLE, 
  JUGADOR_ID NUMBER(10,0) NOT NULL ENABLE,
  DATA_DIAGNOSTIC DATE DEFAULT SYSDATE NOT NULL ENABLE, 
  DESCRIPCIO CLOB NOT NULL ENABLE, 
  DATA_DISPONIBLITAT_ESTMIADA DATE NOT NULL ENABLE, 
  CONSTRAINT PK_DIAGNOSTIC PRIMARY KEY (ID) ENABLE,
  CONSTRAINT FK_DIAGNOSTIC_JUGADOR FOREIGN KEY (JUGADOR_ID) REFERENCES IBDB.JUGADOR (ID) ON DELETE CASCADE ENABLE
) TABLESPACE TBS_INT_BKT_DB;

COMMENT ON COLUMN IBDB.DIAGNOSTIC.ID IS 'Identificador nic del diagnostic';
COMMENT ON COLUMN IBDB.DIAGNOSTIC.JUGADOR_ID IS 'Identificador nic del jugador';
COMMENT ON COLUMN IBDB.DIAGNOSTIC.DATA_DIAGNOSTIC IS 'Data quan es realitza el diagnostic';
COMMENT ON COLUMN IBDB.DIAGNOSTIC.DESCRIPCIO IS 'Texte que explica el diagnostic';
COMMENT ON COLUMN IBDB.DIAGNOSTIC.DATA_DISPONIBLITAT_ESTMIADA IS 'Data estimada de quan el jugador tornar a estar actiu.';

COMMENT ON TABLE IBDB.DIAGNOSTIC  IS 'Diagnostic quan un jugador est de baixa per lessio';
