CREATE TABLE IBDB.REPRESENTANT
( ID NUMBER(10,0) NOT NULL ENABLE, 
  NOM VARCHAR2(20) NOT NULL ENABLE,
  COGNOMS VARCHAR2(40) NOT NULL ENABLE,
  CONSTRAINT PK_REPRESENTANT PRIMARY KEY (ID) ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.REPRESENTANT.ID IS 'Identificador nic del representant del jugador.';
COMMENT ON COLUMN IBDB.REPRESENTANT.NOM IS 'Nom del representant del jugador';
COMMENT ON COLUMN IBDB.REPRESENTANT.COGNOMS IS 'Cognoms del representants del jugador';
COMMENT ON TABLE IBDB.REPRESENTANT  IS 'Taula que t la informaci dels representants dels jugadors';

GRANT SELECT ON IBDB.REPRESENTANT TO IBDWH;
