/* Funci que audita els canvis en la taula COMPETICIO */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_COMPETICIO
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.COMPETICIO
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'COMPETICIO';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.COMPETICIO - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.COMPETICIO - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.COMPETICIO - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.COMPETICIO';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_COMPETICIO - VALOR: ' || :old.id );
END;
/
