CREATE TABLE IBDWH.JUGADORS_ACABEN_CONTRACTE
( NOM VARCHAR2(20) NOT NULL ENABLE, 
  COGNOMS VARCHAR2(40) NOT NULL ENABLE,
  FI_CONTRACTE DATE, 
  PAIS_ID NUMBER(5,0), 
  GENERE VARCHAR2(7) NOT NULL ENABLE, 
  MODALITAT VARCHAR2(15) NOT NULL ENABLE
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.JUGADORS_ACABEN_CONTRACTE.NOM IS 'Nom del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_ACABEN_CONTRACTE.COGNOMS IS 'Cognom del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_ACABEN_CONTRACTE.FI_CONTRACTE IS 'Data finalitzaci contracte';
COMMENT ON COLUMN IBDWH.JUGADORS_ACABEN_CONTRACTE.PAIS_ID IS 'Pas al que pertany el jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_ACABEN_CONTRACTE.GENERE IS 'Si es MASCULI o FEMENI';
COMMENT ON COLUMN IBDWH.JUGADORS_ACABEN_CONTRACTE.MODALITAT IS 'Si es NORMAL o CADIRA DE RODES';
COMMENT ON TABLE IBDWH.JUGADORS_ACABEN_CONTRACTE  IS 'El llistat de tots els jugadors duna competici donada amb totes les seves dades, incloent la data de finalitzaci de contracte actual.';
