CREATE TABLE IBDWH.MILLORS_EQUIPS
( COMPETICIO NUMBER(10,0), 
  TEMPORADA VARCHAR2(9),
  EQUIP_OFENSIU_ID NUMBER(10,0) NOT NULL ENABLE, 
  EQUIP_OFENSIU_NOM VARCHAR2(20) NOT NULL ENABLE, 
  EQUIP_OFENSIU_NOM_REP_LEGAL VARCHAR2(30), 
  EQUIP_OFENSIU_MUNICIPI VARCHAR2(50),
  EQUIP_OFENSIU_PAIS VARCHAR2(30) NOT NULL ENABLE,
  EQUIP_OFENSIU_ADRECA VARCHAR2(80), 
  EQUIP_OFENSIU_TELEFON VARCHAR2(20), 
  EQUIP_DEFENSIU_ID NUMBER(10,0) NOT NULL ENABLE, 
  EQUIP_DEFENSIU_NOM VARCHAR2(20) NOT NULL ENABLE, 
  EQUIP_DEFENSIU_NOM_REP_LEGAL VARCHAR2(30), 
  EQUIP_DEFENSIU_MUNICIPI VARCHAR2(50),
  EQUIP_DEFENSIU_PAIS VARCHAR2(30) NOT NULL ENABLE,
  EQUIP_DEFENSIU_ADRECA VARCHAR2(80),
  EQUIP_DEFENSIU_TELEFON VARCHAR2(20)
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.COMPETICIO IS 'Nom de la competici';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.TEMPORADA IS 'Temporada en format YYYY-YYYY';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_OFENSIU_ID IS 'Identificador nic del millor equip ofensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_OFENSIU_NOM IS 'Nom del millor equip ofensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_OFENSIU_NOM_REP_LEGAL IS 'Nom del representant legal del millor equip ofensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_OFENSIU_MUNICIPI IS 'Municipi d''on es el millor equip ofensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_OFENSIU_PAIS IS 'Pais d''on es el millor equip ofensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_OFENSIU_ADRECA IS 'Adrea del millor equip ofensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_OFENSIU_TELEFON IS 'Nmero de telfon del millor equip ofensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_DEFENSIU_ID IS 'Identificador nic del millor equip defensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_DEFENSIU_NOM IS 'Nom del millor equip defensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_DEFENSIU_NOM_REP_LEGAL IS 'Nom del representant legal del millor equip defensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_DEFENSIU_MUNICIPI IS 'Municipi d''on es el millor equip defensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_DEFENSIU_PAIS IS 'Pais d''on es el millor equip defensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_DEFENSIU_ADRECA IS 'Adrea del millor equip defensiu';
COMMENT ON COLUMN IBDWH.MILLORS_EQUIPS.EQUIP_DEFENSIU_TELEFON IS 'Nmero de telfon del millor equip defensiu';
COMMENT ON TABLE IBDWH.MILLORS_EQUIPS  IS 'Donada una competici i una temporada, els millors equips ofensius i defensius.';
