CREATE TABLE IBDWH.NUM_CONTRACTES_VALOR_ECONOMIC
( REPRESENTANT_ID NUMBER(10,0), 
  NOM_REPRESENTANT VARCHAR2(61),
  TOTAL_CONTRACTES_SIGNATS NUMBER, 
  TOTAL_VALOR_ECONOMIC NUMBER, 
  ANY_SIGNATURA NUMBER
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.NUM_CONTRACTES_VALOR_ECONOMIC.REPRESENTANT_ID IS 'Identificador nic del representant dels jugadors';
COMMENT ON COLUMN IBDWH.NUM_CONTRACTES_VALOR_ECONOMIC.NOM_REPRESENTANT IS 'Nom del representant';
COMMENT ON COLUMN IBDWH.NUM_CONTRACTES_VALOR_ECONOMIC.TOTAL_CONTRACTES_SIGNATS IS 'Nmero total de contractes signats';
COMMENT ON COLUMN IBDWH.NUM_CONTRACTES_VALOR_ECONOMIC.TOTAL_VALOR_ECONOMIC IS 'Total valor econmic de les operacions d''aquests contractes';
COMMENT ON COLUMN IBDWH.NUM_CONTRACTES_VALOR_ECONOMIC.ANY_SIGNATURA IS 'Any de la signatura del contracte';
COMMENT ON TABLE IBDWH.NUM_CONTRACTES_VALOR_ECONOMIC  IS 'Donat un any i un representant de jugadors, el nmero de contractes de jugadors signats i el valor econmic total de cadascun d''ells.';
