PROMPT "Conectem amb l'usuari SYS per crear la base de dades IBDB i IBDWH"
--CONNECT SYS AS SYSDBA;

PROMPT "Iniciem la creaci de la base de dades IBDB"

@CREATE_DB.sql;

CONNECT DBA4ALL/UOC001;

PROMPT "Creant taules a IBDB"
@IBDB_TAULES.sql;
PROMPT "Fi creaci de taules a IBDB"

PROMPT "Creant vistes a IBDB"
@IBDB_VIEWS.sql;
PROMPT "Fi creaci de vistes a IBDB"

PROMPT "Creant les sequencies a IBDB"
@IBDB_SEQUENCES.sql;
PROMPT "Fi creaci de les sequencies a IBDB"

PROMPT "Creant els paquets a IBDB"
@IBDB_PAQUETS.sql;
PROMPT "Fi creaci dels paquets a IBDB"

PROMPT "Creant els disparadors a IBDB"
@IBDB_DISPARADORS.sql;
PROMPT "Fi creaci els disparadors a IBDB"

PROMPT "Creant taules a IBDWH"
@IBDWH_TAULES.sql;
PROMPT "Fi creaci de taules a IBDWH"

PROMPT "Creant les sequencies a IBDWH"
@IBDWH_SEQUENCES.sql
PROMPT "Fi creaci de les sequencies a IBDWH"

PROMPT "Creant els paquets a IBDWH"
@IBDWH_PAQUETS.sql
PROMPT "Fi creaci dels paquets a IBDWH"

PROMPT "Compilem els objectes qeu han quedat invalids"
@RECOMPILE_ALL.sql;
PROMPT "Fi de la compilaci"

PROMPT "Iniciem la creaci de la base de dades IBDB i IBDWH"

PROMPT "Inserim les dades de proves"
@INSERTS.sql;
PROMPT "Fi de la inserci les dades de proves"

exit;